Package Gnumed :: Package timelinelib :: Package calendar :: Module time :: Class ComparableValue |
[frames] | no frames]

# Class ComparableValue

source code

    object --+
             |
            ComparableValue

Instance Methods
__init__(self, value) x.__init__(...) initializes x; see help(type(x)) for signature | source code
__eq__(self, other) | source code
__ne__(self, other) | source code
__lt__(self, other) | source code
__le__(self, other) | source code
__gt__(self, other) | source code
__ge__(self, other) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| value
Inherited from `object`: `__class__`

Method Details

### __init__(self, value) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

Property Details

### value Get Method: unreachable.value(self)